Subject: Re: [sacm] How to track items - suggestion

From: "Adam W. Montville" <[email-masked]>
Date: Wed, 1 Apr 2015 13:47:14 -0500

Jim,

Thank you for these suggestions and exploration!  I like your idea of using milestones to relate an issue to a specific version of a draft.  However, the benefit of having a label that is the name of the draft eludes me, as does the benefit of a “fixed” label. 

To me, the default labels are sufficient when augmented with milestones pertaining to a particular version of a draft.  Any closed issue with a label of “bug” or “enhancement” could be inferred as “fixed.”

I like some of the workflow suggestions you’ve made, but it’s going to take everyone agreeing to abide by them to work...

Would you be willing to continue driving this discussion?

Adam

> On Mar 28, 2015, at 8:43 PM, Jim Schaad <[email-masked]> wrote:
> 
> I have been playing a bit harder with this.
>  
> Turns out that we can use the labels, but you have to be tagged as a contributor in order to do things like setting labels and so forth.
>  
> We can still use this, but for those people who are not tagged as contributors, the tagging part will need to be done by somebody else. 
>  
> There are no barriers to opening and modifying issues if you are not a contributor.
>  
> Jim
>  
>  
> From: sacm [mailto:[email-masked]] On Behalf Of Jim Schaad
> Sent: Saturday, March 28, 2015 11:57 AM
> To: [email-masked]
> Subject: [sacm] How to track items - suggestion
>  
> In response to Nancy’s question on Friday.  I am going to suggest the following protocol:
>  
> 1.        Create a label for each version as it is released.  The text in the label would be “Reported in XX” where XX is the version number of the draft.  This label would be assigned by the person that opens the draft
> 2.       Create a milestone for each version to be released.  The text in the label would be “Draft XX” where XX is the version number o the draft.  This milestone could be assigned by chairs or document editors.  It indicates what draft the document is going to be addressed in.
> 3.       We create a new label of “fixed”.  This label is tagged onto an issue when:
> a.       If the document is edited outside of github: When the changes have been folded into their working version
> b.      If a document is edited inside of github: When the pull request for the fix has been merged into the main document.  Note that a pull request can be associated with a specific issue so that authors can see when edits are going to be rolled in,
> 4.       Authors can use the assignee field if they wish to indicate who is responsible for a specific set of edits.  If working on github, this could be somebody other than a main author.
> 5.       When documents are published, there is a two week grace period for the person who reports to issue to review the changes and either close the issue or indicate in the issue why it has not been properly addressed.
> 6.       After the two week grace period, chairs can close bugs and they will need to be re-opened if the reporter disagrees with the fact that it is addressed.
>  
> Note that milestones and labels can only be created by the people who control the project.  As such I cannot do it at this point in time for the requirements document issues that I have created.
>  
> _______________________________________________
> sacm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sacm